Bug 9711 - xdelta on x86_64 fails to apply patches created on i586
: xdelta on x86_64 fails to apply patches created on i586
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/xdelta1)
: unstable
: all Linux
: P2 major
Assigned To:
:
: https://bugzilla.redhat.com/bugzilla/...
:
:
:
  Show dependency tree
 
Reported: 2006-06-19 21:54 by
Modified: 2007-02-24 23:08 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-06-19 21:54:16
Патчи xdelta, созданные на i586, не прикладываются на x86_64 - при попытке это
сделать выдаётся сообщение:

xdelta: @@@SerialSource: Incorrect allocation

Вроде бы это давно известная проблема; в
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=190406#c3 заявлено, что в
rawhide ошибка исправлена.
------- Comment #1 From 2006-06-20 01:55:04 -------
Патч называется xdelta-1.1.3-allocbug.patch, но я не понимаю, как он работает.
------- Comment #2 From 2006-06-20 11:12:01 -------
Кстати, я на эту бню тоже наткнулся ;(
------- Comment #3 From 2007-02-15 12:54:13 -------
так это когда-то исправляться будет ?
------- Comment #4 From 2007-02-15 14:49:21 -------
Третьим буду.
------- Comment #5 From 2007-02-15 14:54:32 -------
Готов передать пакет человеку, который сможет мне объяснить, почему FC'шный
патч
исправляет ошибку.
------- Comment #6 From 2007-02-15 15:01:32 -------
http://xdelta.googlecode.com/files/xdelta-1.1.4.tar.gz
http://xdelta.blogspot.com/2007/01/re-xdelta-1.html

This is a maintenence release: Xdelta 1.1.4 remains substantially unchanged
since 1999. This release fixes a bug: Compressed data from 32-bit platforms
failed to decompress on 64-bit platforms. This is fixed in the decoder (it was a
badly-designed "hint", now ignored), so you can now read old 32-bit patches on
64-bit platforms. Patches produced by 1.1.4 are still readable by 1.1.3 on the
same platform.
------- Comment #7 From 2007-02-15 15:11:25 -------
Ну и URL: http://www.xdelta.org/
------- Comment #8 From 2007-02-15 19:36:31 -------
OK, будем надеятся что fixed in 1.1.4-alt1